Bug 399951 - Review Request: PyAmanith - Python bindings for Amanith
Summary: Review Request: PyAmanith - Python bindings for Amanith
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 399941
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-26 19:12 UTC by Tom "spot" Callaway
Modified: 2008-03-11 02:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 02:16:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-11-26 19:12:16 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/PyAmanith.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/PyAmanith-0.3.35-1.fc9.src.rpm
Description: 
PyAmanith is a Python wrapper for the Amanith (http://www.amanith.org) 2D
vector graphics library. It strives to offer a pythonic interface to the
library and make all its features accessible.

Comment 1 Jason Tibbitts 2008-01-19 03:19:55 UTC
It occurs to me that this might have been submitted as a dependency for Frets on
Fire, but I'll go ahead and review it and you can do with it what you will.

This failed to build for me in rawhide due to the .egg-info thing.  I fixed that
(and I'll just assume that it's been fixed for the remainder of this review) and
got the following rpmlint complaint:

  PyAmanith.x86_64: E: non-standard-executable-perm 
   /usr/lib64/python2.5/site-packages/_amanith.so 0775
which is a little weird, I'll admit.  A chmod or %attr should get rid if it, though.

There's a copying file in the tarball that should make it into the package,
especially since it's the only place I found with the text of the GPL exception
the package is licensed under.

* source files match upstream:
   a16a3a8379246549008c514fb549337700ea5a17ba524187f8213e92f9a966f0  
   PyAmanith-0.3.35.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
X license text not included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   _amanith.so()(64bit)
   PyAmanith = 0.3.35-1.fc9
  =
   libamanith.so.1()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libpython2.5.so.1.0()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   python(abi) = 2.5

* %check is not present; no test suite upstream.  rawhide is screwed enough at 
   the moment that I can't test it manually.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Tom "spot" Callaway 2008-02-28 19:46:39 UTC
Sorry for the delay. This one fell off my radar for a bit, due to the fact that
we discovered that FretsOnFire was no-go for Fedora.

All issues mentioned above are resolved in -2.

New SRPM:
http://www.auroralinux.org/people/spot/review/new/PyAmanith-0.3.35-2.fc9.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/PyAmanith.spec

Comment 3 Jason Tibbitts 2008-02-29 01:14:44 UTC
OK; builds fine now, rpmlint is silent andthe COPYING file is included.  Looks
good to me.

APPROVED

Comment 4 Tom "spot" Callaway 2008-03-10 18:58:47 UTC
New Package CVS Request
=======================
Package Name: pyamanith
Short Description: Python bindings for Amanith
Owners: spot
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits: yes


Comment 5 Tom "spot" Callaway 2008-03-10 19:00:18 UTC
Ugh, I screwed this up. Should be:

New Package CVS Request
=======================
Package Name: PyAmanith
Short Description: Python bindings for Amanith
Owners: spot
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits: yes



Comment 6 Tom "spot" Callaway 2008-03-11 02:16:00 UTC
In rawhide, thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.